export default async bot => {
  
  return [{
    name: "help",
    call: /^(\.|\/)help/i,
    active: false,
    f: e => {
      if(e.args[0] && [...bot._trigger.keys()].includes(e.args[0])) {
        const help = bot._trigger.get(e.args[0]).help;
        if(help.text)
          e.reply(`${help.text}\nusage: ${help.usage}`);
      }
      else {
        let triggers = [];
        [...bot._trigger.entries()]
          .filter(trigger => trigger[1].help)
          .forEach(trigger => triggers.push(trigger[0]));
        e.reply(`(WIP) available commands: ${triggers.map(blah => `[b]${blah}[/b]`).join(", ")}`);
      }
    }
  }];
};