import fetch from "flumm-fetch-cookies";

const feed = "https://www.kernel.org/releases.json";

export default async bot => {

  return [{
    name: "kernel",
    call: /^(\.|\/)kernel/i,
    set: "nxy",
    f: e => {
      fetch(feed)
        .then(res => res.json())
        .then(content => {
          const releases = content.releases;
          e.reply(releases.map(entry => `[b]${entry.version}[/b] (${entry.moniker}${entry.iseol ? `, [i]EOL[/i]` : ""})`).join(", "));
        }).catch(err => console.log(err));
    }
  }];
};
